device_type: qcom-qdf2400

job_name: lab-health-qcom-qdf2400
timeouts:
  job:
    minutes: 10
  action:
   minutes: 10
  actions:
    power-off:
      seconds: 30
priority: medium
visibility: public

actions:
- deploy:
    timeout:
      minutes: 2
    to: tftp
    kernel:
      url: http://images.validation.linaro.org/storage.kernelci.org/mainline/master/v4.19-11807-g310c7585e830/arm64/defconfig/Image
      type: image
    ramdisk:
      url: http://images.validation.linaro.org/storage.kernelci.org/images/rootfs/buildroot/kci-2018.05/arm64/base/rootfs.cpio.gz
      compression: gz
    modules:
      url: http://images.validation.linaro.org/storage.kernelci.org/mainline/master/v4.19-11807-g310c7585e830/arm64/defconfig/modules.tar.xz
      compression: xz
    os: oe

- boot:
    timeout:
      minutes: 5
    method: grub
    commands: ramdisk
    prompts:
      - '/ #'
notify:
  criteria:
    status: incomplete
  recipients:
    - to:
        method: email
        email: lava-lab@linaro.org
  verbosity: verbose
